You are here

Upgrade prerequisites checklist

This checklist describes the requirements and prerequisites necessary to begin planning for upgrading an existing version to Alfresco Content Services 5.2.1.

Before starting an upgrade:

  • Validate your requirements.
  • Backup your production data.
    • You must perform a test upgrade using a backup copy of the repository before attempting to upgrade your production environment. Therefore, it is important that your backups are up-to-date.

    • Ensure that you have backed up your production environment, for example, back up your database and content store (alf_data directory).

  • If you are upgrading to Alfresco Content Services 5.2.1, migrating from your existing search subsystem to the Solr 4 search subsystem ensures that you have access to the full search capabilities. For more information, see the Solr 4 migration documentation.
  • If you have any customizations (for example, AMPs) in your existing installation, recompile all Java code against the new version of Alfresco Content Services and regression test against this new version.
  • When you upgrade Alfresco Content Services with Oracle, the user needs more privileges than connect and resource. At minimum, the user should have permission to delete objects. A safer option is to give a sysdba role for the upgrade process only. After the upgrade, this role should be removed.

Sending feedback to the Alfresco documentation team

You don't appear to have JavaScript enabled in your browser. With JavaScript enabled, you can provide feedback to us using our simple form. Here are some instructions on how to enable JavaScript in your web browser.